org.apache.olingo.commons.api.data

## Class EntityCollection

- java.lang.Object
- - org.apache.olingo.commons.api.data.Annotatable
  - - org.apache.olingo.commons.api.data.AbstractODataObject
    - - org.apache.olingo.commons.api.data.AbstractEntityCollection
      - - org.apache.olingo.commons.api.data.EntityCollection

- All Implemented Interfaces:
    Iterable<Entity>
  Direct Known Subclasses:
    Delta

      public class EntityCollection
      extends AbstractEntityCollection

  Data representation for a collection of single entities.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityCollection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Integer` | `getCount()` Gets number of entries - if it was required.
    `URI` | `getDeltaLink()` Gets delta link if exists.
    `List<Entity>` | `getEntities()` Gets entities.
    `URI` | `getNext()` Gets next link if exists.
    `List<Operation>` | `getOperations()` Gets operations.
    `int` | `hashCode()`
    `Iterator<Entity>` | `iterator()`
    `void` | `setCount(Integer count)` Sets number of entries.
    `void` | `setDeltaLink(URI deltaLink)` Sets delta link.
    `void` | `setNext(URI next)` Sets next link.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.AbstractODataObject

      `getBaseURI, getId, getTitle, setBaseURI, setCommonProperty, setId`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Annotatable

      `getAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### EntityCollection

          public EntityCollection()

  - ### Method Detail

    - #### setCount

          public void setCount(Integer count)

      Sets number of entries.
      Parameters:
        `count` - number of entries

    - #### getCount

          public Integer getCount()

      Gets number of entries - if it was required.
      Specified by:
        `getCount` in class `AbstractEntityCollection`
      Returns:
        number of entries into the entity set.

    - #### getEntities

          public List<Entity> getEntities()

      Gets entities.
      Returns:
        entries.

    - #### setNext

          public void setNext(URI next)

      Sets next link.
      Parameters:
        `next` - next link.

    - #### getNext

          public URI getNext()

      Gets next link if exists.
      Specified by:
        `getNext` in class `AbstractEntityCollection`
      Returns:
        next link if exists; null otherwise.

    - #### getDeltaLink

          public URI getDeltaLink()

      Gets delta link if exists.
      Specified by:
        `getDeltaLink` in class `AbstractEntityCollection`
      Returns:
        delta link if exists; null otherwise.

    - #### setDeltaLink

          public void setDeltaLink(URI deltaLink)

      Sets delta link.
      Parameters:
        `deltaLink` - delta link.

    - #### getOperations

          public List<Operation> getOperations()

      Gets operations.
      Specified by:
        `getOperations` in class `AbstractEntityCollection`
      Returns:
        operations.

    - #### iterator

          public Iterator<Entity> iterator()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AbstractODataObject`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractODataObject`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.